<?xml version="1.0"?>

<!--
XML code conversion version 1.0
(C) Z. Wagner - Ice Bear Soft, 2001
http://icebearsoft.euweb.cz

This stylesheet is free software. Its use and distribution should follow
the Library General Public Licence (see http://www.gnu.org). Since this licence
is void in the Czech Republic, the users may opt to use a modified version
available from http://www.zastudena.cz

This stylesheet converts any XML file (written in a supported encoding) into
an HTML file in ISO-8859-2 encoding. It requires Saxon XSLT processor.

Valuable help of J. Kosek (http://www.kosek.cz) is acknowledged.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0"
                xmlns:saxon="http://icl.com/saxon"
                extension-element-prefixes="saxon">

<xsl:output indent="yes" method="html" encoding="iso-8859-2"
            saxon:character-representation="native"/>

<!--
The following command strips white spaces. Some document may require
"xml:preserve-space" or the elements in "xml:strip-space" may be
given explicitly.

WARNING: Sablotron does not understand this element and ignores it.
-->

<!-- xsl:strip-space elements="*"/ -->

<!-- Root element -->
<xsl:template match="/">
  <xsl:apply-templates/>
</xsl:template>


<!-- All elements with attributes -->
<xsl:template match="*">
  <xsl:copy-of select="."/>
</xsl:template>


<!-- Text contents of all elements -->
<xsl:template match="text()">
  <xsl:value-of select="."/>
</xsl:template>

</xsl:stylesheet>
